using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class HoverWave : MonoBehaviour
{
    [SerializeField] float m_strength = 0.1f;
    [SerializeField] float m_speed = 1.0f;
    Vector3 m_localStart;

    void Start()
    {
        m_localStart = transform.localPosition;
    }

    // Update is called once per frame
    void Update()
    {
        transform.localPosition = m_localStart + m_strength * Mathf.Sin(Time.time * m_speed) * Vector3.up;
    }

    public void SetLocalStart(Vector3 _v3)
    {
        m_localStart = _v3;
    }
}
